Bug 24162 - Add quantity column to the late orders table
Summary: Add quantity column to the late orders table
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: https://gitlab.com/joubu/Koha/commits...
Keywords:
Depends on: 24163
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-03 19:42 UTC by Jonathan Druart
Modified: 2020-05-18 13:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds a quantity column to the late orders table.
Version(s) released in:
20.05.00


Attachments
Bug 24162: Add quantity column to the late orders page (1.53 KB, patch)
2020-01-09 16:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24162: Add quantity column to the late orders page (1.78 KB, patch)
2020-02-11 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24162: Add quantity column to the late orders page (1.83 KB, patch)
2020-02-28 15:57 UTC, Devinim
Details | Diff | Splinter Review
Bug 24162: Add missing filter (1.01 KB, patch)
2020-05-02 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24162: Add quantity column to the columns settings config (708 bytes, patch)
2020-05-02 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24162: Add quantity column to the late orders page (1.89 KB, patch)
2020-05-05 06:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24162: Add missing filter (1.06 KB, patch)
2020-05-05 06:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24162: Add quantity column to the columns settings config (765 bytes, patch)
2020-05-05 06:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-03 19:42:42 UTC
* Add note column to late orders table
 * Add ISBN column to late orders table
 * Add quantity column to late orders table
 * Add order number column to late orders table (with link to basket)
Comment 1 Katrin Fischer 2019-12-07 11:25:28 UTC
Hi Jonathan, there is a slight overlap with the SO patch for bug 12502 (ISBN, order number)
Comment 2 Jonathan Druart 2020-01-09 16:51:38 UTC
Created attachment 97124 [details] [review]
Bug 24162: Add quantity column to the late orders page

This patch add a new column "quantity" to the late orders page

Test plan:
1. Create some orders, close the basket
2. Go to the "Late orders" page
=> You should see a new column "quantity" that contains the number of
items of the order

Sponsored-by: Cork Institute of Technology
Comment 3 Jonathan Druart 2020-02-11 09:08:46 UTC
Created attachment 98693 [details] [review]
Bug 24162: Add quantity column to the late orders page

This patch add a new column "quantity" to the late orders page

Test plan:
1. Create some orders, close the basket
2. Go to the "Late orders" page
=> You should see a new column "quantity" that contains the number of
items of the order

Sponsored-by: Cork Institute of Technology
Comment 4 Devinim 2020-02-28 15:57:11 UTC
Created attachment 99779 [details] [review]
Bug 24162: Add quantity column to the late orders page

This patch add a new column "quantity" to the late orders page

Test plan:
1. Create some orders, close the basket
2. Go to the "Late orders" page
=> You should see a new column "quantity" that contains the number of
items of the order

Sponsored-by: Cork Institute of Technology

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 5 Katrin Fischer 2020-02-29 22:52:25 UTC
This is signed off - but its dependency is not? Moving to BLOCKED until resolved.
Comment 6 Katrin Fischer 2020-05-02 13:00:46 UTC
1) QA tools

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/lateorders.tt
   FAIL	  filters
		missing_filter at line 111 (            <td>[% lateorder.quantity %]</td>)

2) Column configuration

Quantity also needs to be added to the column configuration files.

I'd usually just fix this, but because of the dependencies I'll leave it be for now.
Comment 7 Jonathan Druart 2020-05-02 14:02:52 UTC
Created attachment 104195 [details] [review]
Bug 24162: Add missing filter
Comment 8 Jonathan Druart 2020-05-02 14:02:56 UTC
Created attachment 104196 [details] [review]
Bug 24162: Add quantity column to the columns settings config
Comment 9 Jonathan Druart 2020-05-02 14:03:11 UTC
(In reply to Katrin Fischer from comment #6)
> 1) QA tools
> 
>  FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/lateorders.tt
>    FAIL	  filters
> 		missing_filter at line 111 (            <td>[% lateorder.quantity %]</td>)
> 
> 2) Column configuration
> 
> Quantity also needs to be added to the column configuration files.
> 
> I'd usually just fix this, but because of the dependencies I'll leave it be
> for now.

Oops, fixed!
Comment 10 Katrin Fischer 2020-05-05 06:43:50 UTC
Created attachment 104342 [details] [review]
Bug 24162: Add quantity column to the late orders page

This patch add a new column "quantity" to the late orders page

Test plan:
1. Create some orders, close the basket
2. Go to the "Late orders" page
=> You should see a new column "quantity" that contains the number of
items of the order

Sponsored-by: Cork Institute of Technology

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-05-05 06:43:53 UTC
Created attachment 104343 [details] [review]
Bug 24162: Add missing filter

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-05-05 06:43:57 UTC
Created attachment 104344 [details] [review]
Bug 24162: Add quantity column to the columns settings config

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Martin Renvoize 2020-05-05 10:11:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-05-11 21:21:08 UTC
enhancement not backported to 19.11.x